<!DOCTYPE>


<html>

  <head>
    
   <link rel="stylesheet" type="text/css" href="modeloImpacto.css"> 
   <link rel="stylesheet" type="text/css" href="chat.css"> 
   <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1, maximum-scale=1">

    <script src="http://code.jquery.com/jquery-2.0.3.min.js"></script>
    <script src="cytoscape/cytoscape.js"></script>

   <!--  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"> -->

    <link rel="stylesheet" href="bootstrap/bootstrap.css">
    <script src="bootstrap/bootstrap.js"></script>

    <script src="https://cdn.rawgit.com/cpettitt/dagre/v0.7.4/dist/dagre.min.js"></script>
    <script src="https://cdn.rawgit.com/cytoscape/cytoscape.js-dagre/1.1.2/cytoscape-dagre.js"></script>

   <!--  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
 -->
    <!-- pdfmake -->
    <script src='pdfmake.js'></script>
     <script src='vfs_fonts.js'></script>
    
     <!-- moment.js -->
     <script src ='moment.js'></script>

    <!-- Chart js implementado aqui     -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.4/Chart.min.js"></script>

    <!-- font awesome -->
      <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.min.css">
      <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">

    <!-- Coisas que eu tive que importar para a formatação da barra funcionar. Rever o que precisa ou não -->

     <meta charset="utf-8">
     <meta name="viewport" content="width=device-width, initial-scale=1">
     <!-- <link href="http://netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css" rel="stylesheet"> -->
      <link href="barra.css" rel="stylesheet" />

  <!-- Qtip -->

  <script src="http://cdnjs.cloudflare.com/ajax/libs/qtip2/2.2.0/jquery.qtip.min.js"></script>
  <link href="http://cdnjs.cloudflare.com/ajax/libs/qtip2/2.2.0/jquery.qtip.min.css" rel="stylesheet" type="text/css" />
  <script src="https://cdn.rawgit.com/cytoscape/cytoscape.js-qtip/2.7.0/cytoscape-qtip.js"></script>

 <!--  <script src="qtip/jquery.qtip.min.js"></script>
  <link href="qtip/jquery.qtip.min.css" rel="stylesheet" type="text/css" /> -->
  
  <!-- Cose Bilkent -->

   <script src="https://cdn.rawgit.com/cytoscape/cytoscape.js-cose-bilkent/2.0.4/cytoscape-cose-bilkent.js"></script>
   <script src="https://cdn.rawgit.com/ivis-at-bilkent/cytoscape.js-undo-redo/master/cytoscape-undo-redo.js"></script>
   <script src="cytoscape-expand-collapse.js"></script>

  <!-- Chardin js -->
   <link href="chardinjs.css" rel="stylesheet">
   <script src="chardinjs.min.js"></script>

  <!-- Menu Com clique direito -->
    <script src="cytoscape-context-menus.js"></script>
    <link href="cytoscape-context-menus.css" rel="stylesheet" type="text/css" />

    <!-- Google login -->

      <script src="https://apis.google.com/js/platform.js" async defer></script>


      <meta name="google-signin-client_id" content="318842794290-2m1dl9daegafau6mcc1d1lpjm4jkv3h1.apps.googleusercontent.com">
  </head>

  <body>

  <!-- Navbar -->


  <nav class="navbar navbar-custom">
    <div class="navbar-container">
      <img id= "imaplogo" src="images/imaplogo.png" href="">
    </div>
    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbarNavDropdown"  aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
      <ul class="nav navbar-nav">
       
        <li class="dropdown" data-intro="Click here to see node actions" data-position="bottom">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Map<i class=" fa-lg icon-sitemap pull-left"></i><span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a href="#" id="addFromMenu" class="alternativeExclusive3"><i class="fa fa-plus-circle fa-fw" aria-hidden="true"></i> Create node (Alt+n)</a></li>
            <li class="alternativeExclusive1" style="display:none"><a href="#" id="add2"><i class="fa fa-plus-circle fa-fw" aria-hidden="true"></i> Create Compund Alternative (Alt+a)</a></li>
            <li class="alternativeExclusive2" style="display:none"><a href="#" data-toggle="modal" data-target="#createCharacterizer" data-whatever="@mdo"><i class="fa fa-plus-circle fa-fw" aria-hidden="true"></i> Create Characterizer(Alt+c)</a></li>
            <li class="alternativeExclusive2" style="display:none"><a href="#" id="radarChartOption" data-toggle="modal" data-target="#showRadarChartModal" data-whatever="@mdo"><i class="fa fa-plus-circle fa-fw" aria-hidden="true"></i> View radar chart</a></li>
            <!--<li><input type="text" id="nodeName"></li>-->
            <li><a href="#" data-toggle="modal" data-target="#renameNodeModal" data-whatever="@mdo"><i class="fa fa-pencil fa-fw" aria-hidden="true"></i> Rename selected node (Alt+r)</a></li>
            <li><a href="#" id="remove"><i class="fa fa-remove fa-fw" aria-hidden="true"></i> Remove selected node (del)</a></li>
            <li><a href="#" id="center" onclick="center()"><i class="fa fa-search fa-fw" aria-hidden="true"></i> Center map (Alt+m)</a></li>
            <li><a href="#" data-toggle="modal" data-target="#descriptionModal" data-whatever="@mdo"><i class="fa fa-pencil-square-o fa-fw" aria-hidden="true"></i> Change node description (Alt+d)</a></li>
            <li><a href='#' id="pdf" onclick="pdf()"><i class="fa fa-file-pdf-o  fa-fw" aria-hidden="true"></i>&nbsp; Export descriptions as PDF</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="#"><i class="fa fa-question fa-fw" aria-hidden="true"></i> Help</a></li>
          </ul>
        </li>

         <li class="dropdown" data-intro="Share your progress here" data-position="bottom" >
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Share<i class="fa-lg icon-share pull-left"></i><span class="caret"></span></a>
          <ul class="dropdown-menu">
              <li><a href="#" data-toggle="modal" data-target="#inviteModal" data-whatever="@mdo"><i class="fa fa-plus-circle fa-fw" aria-hidden="true"></i> Invite to colaborate</a></li>
            <li><a  href="#" id="exportChat"><i class="fa fa-share-alt fa-fw" aria-hidden="true"></i>&nbsp; Export Chat Log</a></li>
          </ul>
        </li>

        <li class="dropdown" data-intro="Click here to close the tutorial" data-position="bottom">
          <a href="#" role="button" id="tutorial" aria-haspopup="true" aria-expanded="false">Help<i class="fa-lg icon-question pull-left"></i></a>
        </li>
        <li class="dropdown" data-intro="Click here to start a videoconference" data-position="right">
          <a id="videoConf"  role="button" >Create new VideoConference<i class="fa-lg icon-facetime-video pull-left"></i></a>
        </li>
          <!-- Imagem do google que fica na topbar -->
       <!--    <img id="idDaImagem" src="" style=" height:32px; width: 32px; border-radius: 50%; position:absolute; left:75%" > -->
        </li>
      </ul>
         <!-- <div>
          <a class ="textoPagina"> IMPACT MODEL </a>
         </div>
 -->
        <!--  <div>
          <a class = "textoPagina2" data-intro="Participants will be displayed here" data-position="bottom"> Session Participants </a>
         </div> -->
         </div>
         <div class="g-signin2" data-intro="Click here to log in with your google account" data-position="bottom" data-onsuccess="onSignIn"></div>
        
           
  </nav>






  <!--Graficos-->
  
  <div id="collapseThree" class="panel-collapse collapse in">
    <canvas id="myChart" style="display: none;"></canvas>
  </div>

<!--FOOTER-->
  
     

    <div class="row">
        <div class="container-fluid"  style="padding:0 !important">
              <div id="cy" style="z-index:2;"></div>
              <div id="cyFront" style="z-index:3;"></div>
              <!-- data-intro="" data-position="bottom" -->
        </div>
      <div id="img1">
         <img src="images/symbols-imap.png" class="tog" data-intro="Click here to switch images" data-position="bottom" />

        <!--  <button type="button" id="btnCharjin" data-intro="aaa" data-position="right" class="btn btn-default">Next</button> -->
      </div>
        
        



    </div>

     <footer class="footer">
         <div class="containerFooter">
            <span class="text-muted" style="right: 0px;">iMap - Developed by André Tardelli and Raffael Siqueira.</span>
          </div>
      </footer>

    <!-- Modal do gráfico de radar -->
    <div class="modal fade" id="radarChartModal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="radarChartModalLabel">Radar Chart</h4>
          </div>
          <div class="modal-body">
            <form>
              <div class="form-group"> <!--Conteúdo da modal-->
                <div id="collapseThree" class="panel-collapse collapse in">
                  <canvas id="marksChart"></canvas>
                </div>
              </div>

              <img id = "url"/>

            </form>
          </div>
          <div class="modal-footer">
            <button type="button" id="url2" class="btn btn-default">Export</button>
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>    
          </div>
        </div>
      </div>
    </div>

    <!-- Modal do saveMap -->
    <div class="modal fade" id="saveMapModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel"><b>New map</b></h5>
          </div>
          <div class="modal-body">
            <form>
              <div class="form-group">
                <label for="recipient-name" class="col-form-label">Choose the name of your new map:</label>
                <input type="text" class="form-control" id="mapName">
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" id="saveMapbtn" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>

    <script>

      var ctx = document.getElementById('myChart').getContext('2d');
  
      var marksCanvas = document.getElementById("marksChart");
  
      var marksData = {
        labels: [],
        datasets: [{
          label: "Alternative",
          backgroundColor: "transparent",
          borderColor: "rgba(200,0,0,0.6)",
          fill: false,
          radius: 4,
          pointRadius: 4,
          pointBorderWidth: 2,
          pointBackgroundColor: "orange",
          pointBorderColor: "rgba(200,0,0,0.6)",
          pointHoverRadius: 10,
          data: []
        }]
      };
  
      var radarChart = new Chart(marksCanvas, {
        type: 'radar',
        data: marksData
      });
  
      var charts = [radarChart];
  
      var myChart = new Chart(ctx, {
          type: 'bar',
          data: {
            labels: ['First'],
            datasets: [{
            label: 'Statistic Of Contribution',
            data: [12],
            backgroundColor: "rgba(153,255,51,0.6)"
            }]
          }
          });
  
     
  
        function addData(val1, val2) {
          console.log('bagulho');
          console.log(radarChart.data);
          if (radarChart.data.datasets.length >= 0) {
              radarChart.data.labels.push(val1);
              radarChart.data.datasets.forEach(function (dataset) {
                  dataset.data.push(val2);
              });
              window.radarChart.update();
          }
        }
  
  
      </script>

  <div class="modal fade" id="descriptionModal" tabindex="-1" role="dialog" aria-labelledby="descriptionModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="descriptionModalLabel">Node description</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="recipient-name" class="control-label">Description:</label>
            <!-- <input type="text" class="form-control" id="recipient-name" name="update"> -->
            <textarea style="width:100%" id="recipient-name" name="update"></textarea>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       <!-- <button type="button" class="btn btn-primary" id="openAltModel" onclick="return openAltModel();">Open Alternative Model</button>-->
        <button type="button" class="btn btn-primary" id="update">Update description</button>

      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="createNodeModal" tabindex="-1" role="dialog" aria-labelledby="createNodeLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="createNodeLabel">Create node</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="add" class="control-label">Name of the node:</label>
            <input type="text" class="form-control" id="nodeNames" name="add">
            <br>
            <label for="desc" class="control-label">Node description:</label>
            <textarea style="width:100%" id="desc" name="add"></textarea>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" id="closeCreateModal">Close</button>
        <button type="button" class="btn btn-primary" id="add">Create node</button>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="createCharacterizer" tabindex="-1" role="dialog" aria-labelledby="createNodeLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="descriptionModalLabel">Characterizer description</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="recipient-name" class="control-label">Characterizer Name:</label>
            <input type="text" class="form-control" id="CharNames">
          </div>
        </form>

      <form class="CharacterizerValue">
          <label form="recipient-name" class="control-label">Impact Level:</label>
          <input type="radio" name="DescVal" value="1">    1 
          <input type="radio" name="DescVal" value="2">    2
          <input type="radio" name="DescVal" value="3">    3
          <input type="radio" name="DescVal" value="4">    4
          <input type="radio" name="DescVal" value="5">    5
      </form>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="add3">Create Characterizer</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="editCharacterizer" tabindex="-1" role="dialog" aria-labelledby="createNodeLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="descriptionModalLabel">Edit CHaracterizer</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="recipient-name" class="control-label">Characterizer Name:</label>
            <input type="text" class="form-control" id="CharNamesEdit">
          </div>
        </form>
      <form class="CharacterizerValue">
          <label form="recipient-name" class="control-label">Impact Level:</label>
          <input type="radio" name="DescValEdit" value="1">    1 
          <input type="radio" name="DescValEdit" value="2">    2
          <input type="radio" name="DescValEdit" value="3">    3
          <input type="radio" name="DescValEdit" value="4">    4
          <input type="radio" name="DescValEdit" value="5">    5
      </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="updateChar" >Update Characterizer</button>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="renameNodeModal" tabindex="-1" role="dialog" aria-labelledby="renameNodeLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="renameNodeLabel">Rename node</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="recipient-name" class="control-label">New name of the node:</label>
            <input type="text" class="form-control" id="nodeRename" name="edit">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="edit">Rename node</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="inviteModal" tabindex="-1" role="dialog" aria-labelledby="inviteLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="inviteLabel">Invite to colaborate</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="recipient-name" class="control-label">Email:</label>
            <input type="text" class="form-control" id="emailInput" name="invite" autofocus>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary" data-dismiss="modal" id="invite"">Invite</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="driveUpload" tabindex="-1" role="dialog" aria-labelledby="driveUpload">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" id="filename" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="renameNodeLabel">Upload</h4>
      </div>
      <div class="modal-body">
        <form action="Google-Drive-PHP-API-Simple-App-Example-master/index.php" method="post" id="formularioUpload">
          <div class="form-group">
            <label for="recipient-name" class="control-label">Upload file</label>
            <input type="text" class="form-control" id="filename" name="upload">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary" id="upload" form="formularioUpload" value="submit">Upload</button>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="VideoConference" tabindex="-1" role="dialog" aria-labelledby="VideoConference">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" id="filename" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="renameNodeLabel">VideoConference</h4>
      </div>
      <div class="modal-body">
          VideoChat Room created sucessfully!! Send this link to yout friends so you can start a session:
          </br>
          <a id="chatid"></a>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary" id="ShareLink" data-dismiss="modal">Share via Chat</button>
      </div>
    </div>
  </div>
</div>






<div class="modal fade" id="IntroductionModal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="renameNodeLabel">Welcome to IMAP!</h4>
      </div>
      <div class="modal-body">
        Welcome to IMAP! Would you like a quick tour through the system?
      </div>
      <div class="modal-footer">
        <div style="float:left">Don't ask again: <input type="checkbox" name="stopAsking" id="stopAsking"></div>
        <button type="button" class="btn btn-primary" aria-haspopup="true" data-dismiss="modal" id="tutorial2">Yes</button>
        <button type="button" class="btn btn-default" data-dismiss="modal"  id="closeTutorial">No</button>
      </div>
    </div>
  </div>
</div>



 <audio id="audio" src="Blop.mp3" autostart="false" ></audio>
<!-- Chat -->

 <div id="chatScreen" class="container posicao" >
  <ul class="pages" >
    <li id="page" class="chat page" >
      <div class="panel-heading panel-color" id="blinking" data-intro="Have a live chat with the session users here" data-position="top">
        <i class="fa fa-comment" aria-hidden="true" ></i> Chat
            <div class="btn-group pull-right">
                <button type="button" class="btn btn-default btn-xs"  id="toggle">
                      <i class="fa fa-chevron-down" aria-hidden="true"></i>
                </button>
            </div>
        </div>

    <div id="togglebody">
          <div class="chatArea">
            <ul class="messages"></ul>
          </div>
          <input class="inputMessage" placeholder="Type here..."/>
     </div>
    </li>

    <li class="login page" >
      <div class="form">
        <h5 class="title">What's your nickname?</h5>
        <input class="usernameInput" id="chatNickname" type="text" maxlength="14"  />
      </div>
    </li>
  </ul>
</div>
  
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.2/jspdf.debug.js"></script>
    <script src="/socket.io/socket.io.js"></script>
   <script src="/main.js"></script>
   <script src="/chat.js"></script>
   <script src ="/modeloImpacto.js"></script>
   <script src ="/demo.js"></script>
   <!-- <script src ="/nodemailer.js"></script> -->
  <script src="googleProfile.js"></script>
 </body>

</html>